import dynamix_sdk.base as _base


class CloudapiDisksUnshareResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiDisksUnshareProtocol(_base.BasePostAPIFunctionProtocol):
    def unshare(
        self,
        *,
        disk_id: int,
    ) -> CloudapiDisksUnshareResultBool:
        ...
